Create sourcing search
curl --request POST \
--url https://hireloam.com/api/v1/sourcing/searches \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "senior React engineers in Austin who worked at startups"
}
'import requests
url = "https://hireloam.com/api/v1/sourcing/searches"
payload = { "query": "senior React engineers in Austin who worked at startups" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({query: 'senior React engineers in Austin who worked at startups'})
};
fetch('https://hireloam.com/api/v1/sourcing/searches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"search": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"query": "<string>",
"parsed_filters": {},
"result_count": 123,
"enrichment_status": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "invalid_request",
"message": "job_id is required"
}
}{
"error": {
"code": "unauthorized",
"message": "Invalid or missing API key"
}
}{
"error": {
"code": "forbidden",
"message": "Missing required scope: write"
}
}{
"error": {
"code": "internal_error",
"message": "An internal error occurred"
}
}Sourcing
Create sourcing search
Create and run a new sourcing search. Searches for candidates matching the query, enriches profiles with AI, and saves them as prospects.
POST
/
sourcing
/
searches
Create sourcing search
Was this page helpful?
⌘I